using UnityEngine;
using UnityEngine.Events;

namespace Interactable
{
    public class UnityEventInteractable : InteractableBase
    {
        [SerializeField] protected UnityEvent onInteractEvent = new UnityEvent();
        [SerializeField] protected UnityEvent onResetInteractionEvent = new UnityEvent();

        protected override void OnInteract() => onInteractEvent?.Invoke();
        protected override void OnResetInteraction() => onResetInteractionEvent?.Invoke();
    }
}
